Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7946 - RPM error with Netscape
Summary: RPM error with Netscape
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-22 14:12 UTC by seppo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-22 16:49:46 UTC


Attachments (Terms of Use)

Description seppo 1999-12-22 14:12:55 UTC
I succeeded to upgrade NS-commom from RedHat 6.1 CD but couldn't upgrade
Netscape Communicator. rpm tells me that netscape-common-4.61-12.i386.rpm
is not installed - so now I cant't either uninstall or reinstall NS common
or upgrade Netscape Communicator.

[root@redhat /root]# rpm -i
/mnt/cdrom/RedHat/RPMS/netscape-common-4.61-12.i386.rpm
package netscape-common-4.61-12 is already installed
error: /mnt/cdrom/RedHat/RPMS/netscape-common-4.61-12.i386.rpm cannot be
installed
[root@redhat /root]# rpm -q
/mnt/cdrom/RedHat/RPMS/netscape-common-4.61-12.i386.rpm
package /mnt/cdrom/RedHat/RPMS/netscape-common-4.61-12.i386.rpm is not
installed
[root@redhat /root]# rpm -e
/mnt/cdrom/RedHat/RPMS/netscape-common-4.61-12.i386.rpm
package /mnt/cdrom/RedHat/RPMS/netscape-common-4.61-12.i386.rpm is not
installed

Comment 1 Bill Nottingham 1999-12-22 16:49:59 UTC
To query or remove packages, you use the package name, not
the file name.

For example:

rpm -q netscape-common
rpm -e netscape-common

Comment 2 seppo 1999-12-23 08:00:59 UTC
Uninstalling and reinstalling netscape-common didn't solve the problem.
The solution is upgrade netscape-communicator with --nodeps opition:
rpm -U --nodeps /mnt/cdrom/RedHat/RPMS/netscape-communicator-4.61-12.i386.rpm


Note You need to log in before you can comment on or make changes to this bug.